View Issue Details

IDProjectCategoryView StatusLast Update
0001496SymmetricDSBugpublic2014-02-02 20:53
ReporterelongAssigned Tomhanes 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.5.12 
Target Version3.5.13Fixed in Version3.5.13 
Summary0001496: Triggers not created when "handle key updates" enabled
DescriptionIf the "handle key updates" feature on sym_trigger is enabled, it results in triggers being dropped on platforms other than SQL Server. If the user is using one Trigger definition to sync data between two platforms, one of which is not SQL-Server, this results in no triggers being created.
Steps To Reproduce1. Setup two-way sync between Oracle and SQL-Server
2. Setup Trigger and Enabled "handle key updates" features

Expected: Triggers should be created on both platforms

Actual: Triggers are only created on SQL Server platform
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: master 8f974ecf

2013-12-20 13:47:15

eegeek

Details Diff
0001496: Triggers not created when "handle key updates" enabled
0001496
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/db/AbstractTriggerTemplate.java Diff File

Issue History

Date Modified Username Field Change
2013-12-19 12:45 elong New Issue
2013-12-19 12:45 elong Status new => assigned
2013-12-19 12:45 elong Assigned To => mhanes
2013-12-20 13:47 mhanes Status assigned => resolved
2013-12-20 13:47 mhanes Fixed in Version => 3.5.13
2013-12-20 13:47 mhanes Resolution open => fixed
2014-01-06 13:04 chenson Status resolved => closed
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r7819
2015-07-30 21:49 Changeset attached => SymmetricDS master 8f974ecf